{% load bootstrap4 %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    {% bootstrap_css %}

    <title>Edit</title>

    <style>
        body,
        html {
            margin: 0;
            padding: 0;
            height: 100%;
            background: #6e91aa !important;

        }

        .hello-msg {
            font-size: 18px;
            color: #fff;
            margin-right: 20px;
        }

        .user_card {
            background: #bbd8da;
        }


        .titlecolor {
            color: #fff;
            font-weight: bold;

        }

        .buttonscolor {
            background: #6e91aa !important;
            color: white !important;
        }

        .nav-link {
            font-size: 30px;
            color: white !important;
        }

        .bluecolor {
            background-color: #bbd8da !important;
        }

        .wrapper {
            border: 1px solid black;
            height: 200px;
            width: 400px;
            position: absolute;
            margin: auto;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            display: flex;
            align-items: center;
            justify-content: space-around;
        }

        .login_btn {
			width: 100%;
			background: #6e91aa !important;
			color: white !important;
		}
		.login_btn:focus {
			box-shadow: none !important;
			outline: 0px !important;
		}


    </style>
</head>
<body>


<div class="container taskmanager">
    <div class="row justify-content-center mt-5">
        <div class="col-md-4">
            <div class="card">
                <div class="card-body user_card">
                    <h3 id="form-title" class="titlecolor row justify-content-center">Edit</h3>
                    <form method="post">
                        {% csrf_token %}
                        <div class="form-group">
                            <input type="text" id="{{ form.task_name.id_for_label }}" class="form-control"
                                   placeholder="Title" required name="{{ form.task_name.html_name }}" value="{{ form.task_name.value }}">
                        </div>
                        <div class="form-group mt-3">
                            <textarea id="{{ form.description.id_for_label }}" cols="30" rows="10" class="form-control"
                                      name="{{ form.description.html_name }}" placeholder="Description"
                                      required>{{ form.description.value }}</textarea>
                        </div>

                        <div class="form-group mt-3">
                            <input type="text" id="{{ form.deadline.id_for_label }}"
                                   name="{{ form.deadline.html_name }}" class="form-control" placeholder="Deadline"
                                   required value="{{ form.deadline.value }}">
                        </div>

                        <button class="btn login_btn">Save</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


{% bootstrap_javascript jquery='full' %}

</body>
</html>